!-------------------------------------------------
!  INTRlib Module
!-------------------------------------------------
module intrlib
  use dcl_common
  contains

    function DclInterpolateReal(rx)                !実数型配列の補間をする
      real, intent(in), dimension(:)        :: rx !処理する実数型の配列
      real,             dimension(size(rx)) :: DclInterpolateReal

      DclInterpolateReal = rx
      call vrintr(DclInterpolateReal,size(rx),1)
    end function
      
    function DclInterpolateComplex(cx)            !複素数型配列の補間をする
      complex, intent(in), dimension(:)        :: cx !処理する複素数型の配列
      complex,             dimension(size(cx)) :: DclInterpolateComplex

      DclInterpolateComplex = cx
      call vcintr(DclInterpolateComplex,size(cx),1)
    end function

end module
